Bug 889589 - Creating a project in Horizon fails
Creating a project in Horizon fails
Status: CLOSED DUPLICATE of bug 888516
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.1
Assigned To: Julie Pichon
Nir Magnezi
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-21 14:51 EST by Russell Bryant
Modified: 2015-02-15 17:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-27 07:08:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Bryant 2012-12-21 14:51:34 EST
Description of problem:

While logged in as an admin, clicking on part of the UI for creating a user causes Horizon to fail.  See steps to reproduce.


Version-Release number of selected component (if applicable):

python-django-horizon-2012.2.1-2.el6ost.noarch


How reproducible:

every time


Steps to Reproduce:
1. Log in as an admin
2. Go to Users in the system panel
3. Click "Create User"
4. To the right of the project selection dropdown, click the box with a '+' on it.
5. boom
 
  
Actual results:

[Fri Dec 21 19:46:45 2012] [error] Problem instantiating action class.
[Fri Dec 21 19:46:45 2012] [error] Traceback (most recent call last):
[Fri Dec 21 19:46:45 2012] [error]   File "/usr/lib/python2.6/site-packages/horizon/workflows/base.py", line 361, in action
[Fri Dec 21 19:46:45 2012] [error]     context)
[Fri Dec 21 19:46:45 2012] [error]   File "/usr/lib/python2.6/site-packages/horizon/dashboards/syspanel/projects/workflows.py", line 110, in __init__
[Fri Dec 21 19:46:45 2012] [error]     redirect=reverse(INDEX_URL))
[Fri Dec 21 19:46:45 2012] [error]   File "/usr/lib/python2.6/site-packages/horizon/dashboards/syspanel/projects/workflows.py", line 106, in __init__
[Fri Dec 21 19:46:45 2012] [error]     default_role = api.get_default_role(self.request).id
[Fri Dec 21 19:46:45 2012] [error] AttributeError: 'NoneType' object has no attribute 'id'
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70] mod_wsgi (pid=18172): Exception occurred processing WSGI script '/usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi'.
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70] Traceback (most recent call last):
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/core/handlers/wsgi.py", line 241, in __call__
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     response = self.get_response(request)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/core/handlers/base.py", line 179, in get_response
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     response = self.handle_uncaught_exception(request, resolver, sys.exc_info())
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/core/handlers/base.py", line 228, in handle_uncaught_exception
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     return callback(request, **param_dict)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/utils/decorators.py", line 91, in _wrapped_view
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     response = view_func(request, *args, **kwargs)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/views/defaults.py", line 33, in server_error
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     return http.HttpResponseServerError(t.render(Context({})))
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 140, in render
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     return self._render(context)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 134, in _render
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     return self.nodelist.render(context)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 823, in render
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     bit = self.render_node(node, context)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 837, in render_node
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     return node.render(context)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/template/loader_tags.py", line 123, in render
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     return compiled_parent._render(context)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 134, in _render
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     return self.nodelist.render(context)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 823, in render
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     bit = self.render_node(node, context)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 837, in render_node
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     return node.render(context)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/template/loader_tags.py", line 155, in render
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     return self.render_template(self.template, context)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/template/loader_tags.py", line 137, in render_template
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     output = template.render(context)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 140, in render
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     return self._render(context)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 134, in _render
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     return self.nodelist.render(context)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 823, in render
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     bit = self.render_node(node, context)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 837, in render_node
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     return node.render(context)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/compressor/templatetags/compress.py", line 147, in render
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     return self.render_compressed(context, self.kind, self.mode, forced=forced)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/compressor/templatetags/compress.py", line 88, in render_compressed
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     cached_offline = self.render_offline(context, forced=forced)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]   File "/usr/lib/python2.6/site-packages/compressor/templatetags/compress.py", line 72, in render_offline
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70]     'You may need to run "python manage.py compress".' % key)
[Fri Dec 21 19:46:45 2012] [error] [client 10.3.112.70] OfflineGenerationError: You have offline compression enabled but key "1056718f92f8d4204721bac759b3871a" is missing from offline manifest. You may need to run "python manage.py compress".
Comment 2 Russell Bryant 2012-12-21 14:57:07 EST
Another way to reproduce this is to go to the Projects page and click "Create Project".

http://host/dashboard/syspanel/projects/create
Comment 3 Julie Pichon 2012-12-27 05:33:56 EST
I suspect this is related to https://bugzilla.redhat.com/show_bug.cgi?id=888516, thanks for reporting it. I can reproduce after following the same installation guide. This may be due to a configuration issue.
Comment 4 Julie Pichon 2012-12-27 07:08:16 EST

*** This bug has been marked as a duplicate of bug 888516 ***

Note You need to log in before you can comment on or make changes to this bug.